org.apache.lucene.queries.function.valuesource

## Class ShortFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.ShortFieldSource

    public class ShortFieldSource
    extends FieldCacheSource

Obtains short field values from the `FieldCache` using `getShorts()` and makes those values available as other numeric types, casting as needed.

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`cache, field`

### Constructor Summary

Constructors
Constructor and Description
`ShortFieldSource(String field)`
`ShortFieldSource(String field, FieldCache.ShortParser parser)`

### Method Summary

Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`getField, getFieldCache`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`createWeight, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShortFieldSource

    public ShortFieldSource(String field)

#### ShortFieldSource

    public ShortFieldSource(String field,
                    FieldCache.ShortParser parser)

### Method Detail

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Overrides:
  `description` in class `FieldCacheSource`

#### getValues

    public FunctionValues getValues(Map context,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `FieldCacheSource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `FieldCacheSource`